API references
Search documentation... ⌘K
API references
Merchant API

Update a terminal

Update an existing terminal. Returns the terminal_id.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/update-terminal HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
terminal_id: string,
name: string?,
external_id: string?,
installation_id: string?,
branch_name: string?,
kiosk_mode: boolean?,
delegated_terminal_id: string?,
}
Returns: string
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
terminal_id string

Required. The terminal ID.

name string

Optional. New name for the terminal.

external_id string

Optional. New external ID for the terminal.

installation_id string

Optional. Installation to associate to the terminal.

branch_name string

Optional. Branch name to associate to the terminal.

kiosk_mode boolean

Optional. Whether to enable kiosk mode.

delegated_terminal_id string

Optional. Terminal ID to delegate payment display to. Send empty string to clear.

Errors specific to this endpoint
NOT_FOUND

Terminal or installation not found.

INVALID_ARGUMENT

Terminal cannot delegate to itself, the delegated terminal already has a delegation configured or is already used by another terminal, or kiosk_mode cannot be combined with delegated_terminal_id.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.